POSTGenesis

https://rpc-initia-mainnet.nodit.io/

Retrieves the genesis document of the chain. An error may occur if the response is too large; genesis_chunked is recommended in that case.

Request Body
jsonrpcstring (enum)required

JSON-RPC protocol version. Always 2.0.

idintegerrequired

Identifier of the request. Returned unchanged as id in the response.

methodstring (enum)required

Name of the JSON-RPC method to call.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

genesisobject

Genesis document.

genesis_timestring

Chain start time.

chain_idstring

Chain ID.

initial_heightstring

Height of the chain's first block.

consensus_paramsobject

Consensus parameters.

blockobject

Block-related consensus parameters.

max_bytesstring

Maximum block size in bytes.

max_gasstring

Maximum gas per block. -1 means unlimited.

time_iota_msstring

Minimum time increment between blocks in milliseconds (legacy field).

evidenceobject

Evidence-related consensus parameters.

max_agestring

Maximum age of evidence, in blocks.

validatorobject

Validator-related consensus parameters.

pub_key_typesstring[]

Public key types validators can use.

validatorsobject[]

Genesis validators.

addressstring

Validator address.

pub_keyobject

Validator public key.

typestring

Public key type (for example, tendermint/PubKeyEd25519).

valuestring

Public key value (Base64).

powerstring

Voting power of the validator.

namestring

Validator name.

app_hashstring

Application state hash at genesis.

app_stateobject

Application state at genesis.

X-API-KEY
RequestCU35
cURL
curl -X POST "https://rpc-initia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "genesis"
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "genesis": {
      "genesis_time": "2019-12-11T16:11:34Z",
      "chain_id": "cosmoshub-4",
      "initial_height": "1",
      "consensus_params": {
        "block": {
          "max_bytes": "22020096",
          "max_gas": "-1",
          "time_iota_ms": "1000"
        },
        "evidence": {
          "max_age": "100000"
        },
        "validator": {
          "pub_key_types": [
            "ed25519"
          ]
        }
      },
      "validators": [
        {
          "address": "B00A6323737F321EB0B8D59C6FD497A14B60938A",
          "pub_key": {
            "type": "tendermint/PubKeyEd25519",
            "value": "oX8HyvloaslMOq50t0UjM5WkxaB3VJFQ/E3AYkM/GKE="
          },
          "power": "1000000",
          "name": "validator-1"
        }
      ],
      "app_hash": "",
      "app_state": {}
    }
  }
}